## org.red5.server.tomcat
Class TomcatApplicationContext

    java.lang.Object
      org.red5.server.tomcat.TomcatApplicationContext

All Implemented Interfaces:
  IApplicationContext

    public class TomcatApplicationContext

extends Object
implements IApplicationContext

Class that wraps a Tomcat webapp context.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Field Summary
`protected static Logger` `log` Logger

Constructor Summary
`protected` `TomcatApplicationContext(Context context)` Wrap the passed Tomcat webapp context.

Method Summary
`void` `stop()` Stop the web application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

  Logger

Constructor Detail

### TomcatApplicationContext

    protected TomcatApplicationContext(Context context)

  Wrap the passed Tomcat webapp context.

  Parameters:
    `context` -

Method Detail

### stop

    public void stop()

  Description copied from interface: `IApplicationContext`
  Stop the web application.

  Specified by:
    `stop` in interface `IApplicationContext`

Copyright © 2006-2010 The Red5 Project